OnACTIVATE=function(bActive,bClickActive){
	if(bClickActive) static_shadow_active.ShowCtrl(bActive);
	else static_shadow_active.Show(bActive);
}
OnShow=function(bShow){
	if(bShow){
		var sztext=edit_search.GetText();
		if(sztext.length!=0){
			text_search_title.Show(false);
			//edit_search.SetFocus();
			//edit_search.SetSel(0,-1);
		}
		else{
			text_search_title.Show(true);
		}
	}
}
OnInitSkin=function(){
	var sztext=edit_search.GetText();
	if(sztext.length!=0){
		text_search_title.Show(false);
	}
	else{
		text_search_title.Show(true);
	}
	static_shadow_active.Show(IsActivate());
	RefreshPlayInfo();
}
OnCommand=function(cmdObj){
	if(cmdObj.cmd.toLowerCase()=="edit_search"){
		if (cmdObj.code=="NOTIFY_FOCUSCHANGED"){
			if(cmdObj.focus){
				text_search_title.Show(false);
			}
			else{
				var sztext=edit_search.GetText();
				if(sztext.length!=0){
					text_search_title.Show(false);
				}
				else{
					text_search_title.Show(true);
				}
			}
		}
	}
}
function RefreshPlayInfo(){
	var bShowFlash=false;
	var song=skin.GetPlayingSong();
	if(song){
		if(song.state=="PLAY"&&song.dataState=="COMMON"){
			bShowFlash=true;
		}
	}	
	slider_play.btn.flash_playing.Show(bShowFlash);
}
skin.OnNotifyPlaySongChanged=RefreshPlayInfo;
skin.OnNotifyPlayStateChanged=RefreshPlayInfo;
